---
# tasks file for zsh

- name: Install zsh
  become: yes
  package:
    name: zsh
    state: latest

- name: Check for existing zshrc
  stat:
    path: "$HOME/.zshrc"
  register: zshfile

- name: Warn on skip zsh link
  ansible.builtin.debug:
    msg: "WARNING: .zshrc file exists, delete and run ansible again to use repo version"
  when: zshfile.stat.exists

- name: Link zsh configs
  file:
    src: "{{ playbook_dir | dirname | dirname }}/zsh/zshrc"
    dest: "$HOME/.zshrc"
    state: link
  when: not zshfile.stat.exists

- name: Check for oh-my-zsh
  tags: test
  stat: 
    path: $HOME/.oh-my-zsh
  register: ohmyzsh

- name: Install oh-my-zsh if dne
  tags: test
  shell: sh -c "$(curl -fsSL https://raw.github.com/ohmyzsh/ohmyzsh/master/tools/install.sh) --keep-zshrc"
  when: not ohmyzsh.stat.exists
